### Method

# Gcr CertificateRequest complete

#### Declaration [src]

    gboolean
    gcr_certificate_request_complete (
      GcrCertificateRequest* self,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Complete and sign a certificate request, so that it can be encoded and sent to a certificate authority.

This call may block as it signs the request using the private key.

#### Parameters

`cancellable` | `GCancellable`
| A cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether certificate request was successfully completed or not.